## e-cal-recur

e-cal-recur —

## Synopsis

    gboolean    (*ECalRecurInstanceFn)          (ECalComponent *comp,
                                                 time_t instance_start,
                                                 time_t instance_end,
                                                 gpointer data);
    icaltimezone* (*ECalRecurResolveTimezoneFn) (const char *tzid,
                                                 gpointer data);
    void        e_cal_recur_generate_instances  (ECalComponent *comp,
                                                 time_t start,
                                                 time_t end,
                                                 ECalRecurInstanceFn cb,
                                                 gpointer cb_data,
                                                 ECalRecurResolveTimezoneFn tz_cb,
                                                 gpointer tz_cb_data,
                                                 icaltimezone *default_timezone);

## Description

## Details

### ECalRecurInstanceFn ()

    gboolean    (*ECalRecurInstanceFn)          (ECalComponent *comp,
                                                 time_t instance_start,
                                                 time_t instance_end,
                                                 gpointer data);

`comp` : |
`instance_start` : |
`instance_end` : |
`data` : |
Returns : |

### ECalRecurResolveTimezoneFn ()

    icaltimezone* (*ECalRecurResolveTimezoneFn) (const char *tzid,
                                                 gpointer data);

`tzid` : |
`data` : |
Returns : |

### e_cal_recur_generate_instances ()

    void        e_cal_recur_generate_instances  (ECalComponent *comp,
                                                 time_t start,
                                                 time_t end,
                                                 ECalRecurInstanceFn cb,
                                                 gpointer cb_data,
                                                 ECalRecurResolveTimezoneFn tz_cb,
                                                 gpointer tz_cb_data,
                                                 icaltimezone *default_timezone);

`comp` : |
`start` : |
`end` : |
`cb` : |
`cb_data` : |
`tz_cb` : |
`tz_cb_data` : |
`default_timezone` : |